using UnityEngine;
using System.Collections;

public class GUIscript : MonoBehaviour {
	
	public GUIStyle style;
	public GUIStyle pointsStyle;
	public GUIStyle timeStyle;
	public Texture crosshair;
	public Transform TEST;
	public float startTime;
	
	private Vector3 screenTESTpos;
	private bool lockCursor = true;
	private int points;
	private float time;
	
	void OnEnable() {
		Messenger<int>.AddListener("point", addPoint);
		Messenger.AddListener("reset time", resetTime);
		Messenger<int>.AddListener("add time", addTime);
	}
	
	void Start() {
		resetTime();
	}
	
	// Update is called once per frame
	void Update () {
		Screen.lockCursor = lockCursor;
		
		//if(Input.GetButtonUp("Esc")){
		//	lockCursor = !lockCursor;
		//}
		
		// Countdown the time
		if (time > 0){
			time -= Time.deltaTime;
		} else {
			// Game over
			Application.LoadLevel("over");
			time = 0;
			
		}
	}
	
	void OnGUI() {
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), "R: time for shapes", style);
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), "Suprema: " + points, pointsStyle);
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), "Time: " + (int) time, timeStyle);
		
		// Draw crosshair
		GUI.DrawTexture(new Rect(Screen.width / 2, Screen.height / 2, crosshair.width, crosshair.height), crosshair);
	}
	
	public void addPoint(int point){
		Messenger<string>.Broadcast("play sound", "score");
		points += point;
		PlayerPrefs.SetInt("points", points);
	}
	
	public void resetTime(){
		time = startTime;
	}
	
	public void addTime(int t){
		time += t;
	}

}
